Bug 225027 - Laptop battery drains when hibernated
Laptop battery drains when hibernated
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
Blocks: 427887
  Show dependency treegraph
Reported: 2007-01-27 12:02 EST by Anders Buch
Modified: 2008-05-06 15:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 15:06:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Anders Buch 2007-01-27 12:02:09 EST
Description of problem:

When my ThinkPad X60s running FC6 is hibernated (using /usr/sbin/pm-hibernate),
the battery drains slowly, loosing approximately 8% per day of hibernation. 
When the laptop is turned off, the battery stays full.  After waking up from
hibernation and seeing the lower battery level, I have rebooted and checked the
level again, so I don't think it is a battery level reporting problem.

Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
1. Remember battery level
2. /usr/sbin/pm-hibernate
3. wait a few days
4. turn laptop on and read new battery level

Actual results:

Battery level has fallen with approximately 8% for every day hibernated.

Expected results:

Battery level should be the same as when laptop was hibernated, since this 
is what happens if laptop is simply turned off.

Additional info:
Comment 1 Anders Buch 2007-01-28 11:42:38 EST
This problem can be worked around by removing the battery after hibernating and
then plugging it back in after a few seconds.  This causes the battery to remain
full, and the laptop still resumes flawlessly.  So there is probably some part
of the laptop that is not turned off completely by the hibernate function.

Comment 2 Jon Stanley 2008-01-07 20:54:53 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)


I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.


I am CC'ing myself to this bug, however this version of Fedora is no longer

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 3 Jon Stanley 2008-01-07 22:00:54 EST
(received via e-mail from reporter)

Please make all comments in this bug, not via e-mail to me.  Thanks!

Thanks a lot for looking into this!  I am using Fedora 8 now, and I will
check if the problem still persists.  Since I posted the bug report I
have gotten used to just removing and reinserting the battery after I
hibernate, so I don't know if there is still a problem.

I will write back in a couple of days!
Comment 4 Anders Buch 2008-01-09 13:00:53 EST
Ok, I hibernated on a full batery two days ago and just resumed it.  The battery
has dropped to 85%, so it looks like there is still a problem.  I'm using Fedora
8 now, kernel-, pm-utils-0.99.4-6.fc8.1cubbi_tuxonice.
And I'm still using /usr/sbin/pm-hibernate.

(I should have a 100% FC8 kernel + modules, but I'm not sure if
pm-utils-0.99.4-6.fc8.1cubbi_tuxonice is the original Fedora package?  I'm happy
to retry with another pm-hibernate.)

Comment 5 Bug Zapper 2008-04-04 01:45:56 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Bug Zapper 2008-05-06 15:06:39 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.